precision lowp float;

fshin vec2 vTexCoord;

uniform sampler2D uSamplers[2];
uniform float uScales[2];

#if GLES3
out vec4 fragColor;
#else
#define fragColor gl_FragColor
#endif

void main()
{
    fragColor = vec4( uScales[0] * texture( uSamplers[0], vTexCoord ).xyz + uScales[1] * texture( uSamplers[1], vTexCoord ).xyz, 1.0 );
}
