precision highp float;

vshin vec2 aPosition;
vshin vec2 aTexCoord;

uniform mat3 uPositionTransform;

vshout vec2 vTexCoord;

void main()
{
    vTexCoord = aTexCoord;
    gl_Position = vec4( uPositionTransform * vec3( aPosition, 1.0 ), 1.0 );
}
