precision lowp float;

uniform sampler2D uSampler;

fshin vec2 vTexCoord;

#if GLES3
out vec4 fragColor;
#else
#define fragColor gl_FragColor
#endif

void main()
{
    const float kMaxFlareLinear_real64 = 0.000244140625;    // 2^-12
    fragColor = vec4( exp2( texture( uSampler, vTexCoord ).xyz ) - kMaxFlareLinear_real64, 1.0 );
}
