precision highp float;

fshin vec2 vTexCoord;

uniform sampler2D uSampler;
uniform vec2 uMinmax;

#if GLES3
out vec4 fragColor;
#else
#define fragColor gl_FragColor
#endif

void main()
{
    fragColor = vec4( clamp( texture( uSampler, vTexCoord ).xyz, uMinmax.x, uMinmax.y ), 1.0 );
}
